<?php

/**
 * Settings featured group model.
 *
 * @package northmill-online-shared
 */
declare (strict_types=1);
namespace Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Modules\Admin\Pages\Page\Admin_Sync_Settings\Models\Properties;

use Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Abstracts\Data_Model;
defined('ABSPATH') || exit;
/**
 * Class Settings_Featured_Group_Model
 */
class Settings_Featured_Group_Model extends Data_Model
{
    /** @var string */
    public $Id;
    /** @var int */
    public $WPId;
    /** @var string */
    public $GroupId;
    /** @var string */
    public $GroupName;
    /** @var Settings_Image_Model[] */
    public $GroupImages;
    public function __construct($args = array())
    {
        parent::__construct($args);
        $this->GroupImages = empty($args['GroupImages']) ? array() : array_map(function ($o) {
            return new Settings_Image_Model((array) $o);
        }, $args['GroupImages']);
    }
    public function get_group_id()
    {
        return $this->GroupId;
    }
    public function get_wp_id()
    {
        return $this->WPId;
    }
    public function get_group_name()
    {
        return $this->GroupName;
    }
    public function get_group_images()
    {
        return $this->GroupImages;
    }
}
